:root {
    --black: #000;
    --white: #fff;
    --blue: #023CCA;
    --light-blue: #2B82FE;
    --magenta: #8C157A;
    --magenta-light: #C220AA;
    --magenta--lightest: #FFB1F3;
    --purple: #C1A9FA;
    --gray: #E9E9E9;
    --mono-font: "Ubuntu Mono", monospace;
    --sans-font: "Helvetica", sans-serif;
}

body {
    color: var(--black);
    font-family: var(--sans-font);
    font-size: 18px;
    margin: 0;
    padding: 0;
}

a {
    color: var(--blue);
}

.wrapper {
    align-items: center;
    background-image: url("../img/backgrounds/windows.png");
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    height: 100%;
    flex-direction: column;
    gap: 50px;
    margin: 0;   
    min-height: 92vh;
    padding: 40px 0;
}

@media screen and (max-width: 750px) { 
    .wrapper {
        padding: 0;
    }
}

.box {
    border: 2px solid var(--blue);
    border-radius: 5px;
    margin: 40px 20px;
    max-width: 900px;
}

@media screen and (max-width: 750px) { 
    .box {
        margin: 10px;
    }
}

.divider {
    border-top: 1px solid var(--gray);
    margin: 10px 0;
}

.divider.divider___book {
    margin: 5px 0;
}

.divider.divider___mobile {
    display: none;
}

@media screen and (max-width: 500px) { 
    .divider.divider___mobile {
        display: block;
    }
}

.box_header {
    background-color: var(--blue);
    box-shadow: inset 0 3px 3px var(--light-blue);
    font-weight: bold;
    padding: 15px 15px 10px;
}

.box_header a {
    color: var(--white);
    text-decoration: none;
}

.box_inner {
    background-image: url("../img/backgrounds/bluegray-tile.jpg");
    color: var(--white);
}

.box_subheader {
    align-items: center;
    display: flex;
    gap: 40px;
    justify-content: space-between;
    padding: 5px 15px;
}

@media screen and (max-width: 600px) { 
    .box_subheader {
        gap: 25px;
    }
}

.nav {
    display: flex;
    gap: 15px;
}

@media screen and (max-width: 600px) { 
    .nav {
        flex-wrap: wrap;
        padding: 15px 0;
    }
}

a.nav_item  {
    color: var(--white);
    font-size: 16px;
    text-decoration: none;
}

a.nav_item:hover, a.nav_item:focus {
    text-decoration: underline;
}

.nav_item.nav_item___selected {
    font-weight: bold;
    text-decoration: underline;
}

.box_locals {
    padding-top: 8px;
}

@media screen and (max-width: 600px) { 
    .box_locals {
        display: none;
    }
}

.grid {
    border: 1px solid var(--magenta);
    display: grid;
    grid-template-columns: 2.5fr 1fr;
}

@media screen and (max-width: 750px) { 
    .grid {
        display: flex;
        flex-direction: column;
    }
}

.grid_left {
    background-color: var(--white);
    color: var(--black);
}

.gridleft_header {
    align-items: center;
    background-color: var(--magenta-light);
    color: var(--magenta--lightest);
    display: flex;
    font-size: 14px;
    font-weight: bold;
    justify-content: space-between;
    padding: 15px 15px 10px;
    text-transform: uppercase;
}

.gridleft_content {
    display: grid;
    gap: 30px;
    grid-template-columns: 1fr 2fr;
    padding: 15px;
}

@media screen and (max-width: 500px) { 
    .gridleft_content {
        display: flex;
        flex-direction: column;
        gap: 10px;
    }
}

.gridleft_subheader {
    color: var(--magenta-light);
    font-size: 14px;
    font-weight: bold;
    text-transform: uppercase;
}

.gridleft_col {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.gridleft_text.gridleft_text___small {
    font-size: 14px;
}

.gridleft_watchingimg {
    width: 100%;
}

.gridleft_album, .gridleft_subscribe {
    align-items: center;
    display: flex;
    gap: 8px;
}

.gridleft_album img {
    height: auto;
    width: 60px;
}

.gridleft_album.gridleft_subscribe {
    width: 80px;
}

.grid_right {
    background-image: url("../img/backgrounds/purple-tile.jpg");
}

.gridright_subheader {
    color: var(--purple);
    font-size: 14px;
    font-weight: bold;
    padding: 15px 15px 10px;
    text-transform: uppercase;
}

.gridright_column {
    background-color: var(--white);
    color: var(--black);
    margin: 0 10px;
    padding: 5px;
}

.book {
    align-items: center;
    display: flex;
    gap: 10px;
}

.book_cover {
    height: auto;
    width: 35px;
}

.book_title {
    font-style: italic;
}

.dunk {
    margin: 0 15px 5px 15px;
}

.dunk img {
    object-fit: cover;
    position: relative;
    height: 140px;
    object-fit: cover;
    width: 100%;
}